Skip to content
Pages in Reference

Variables

Reference Updated View as Markdown
Method Path What it does Permission Sudo Approval
GET /api/secret-providers List Providers settings.read
GET /api/secret-providers/kinds List Kinds settings.read
PUT /api/secret-providers/{name} Put Provider settings.manage yes
DELETE /api/secret-providers/{name} Delete Provider settings.manage yes
POST /api/secret-providers/{name}/test Test Provider settings.manage yes
GET /api/teams/{team}/projects/{project}/environments/{environment}/variables List Environment Variables apps.read
POST /api/teams/{team}/projects/{project}/environments/{environment}/variables Set Environment Variables apps.manage yes
PUT /api/teams/{team}/projects/{project}/environments/{environment}/variables/{name} Set Environment Variable apps.manage yes
DELETE /api/teams/{team}/projects/{project}/environments/{environment}/variables/{name} Delete Environment Variable apps.manage yes
GET /api/teams/{team}/projects/{project}/environments/{environment}/variables/{name}/usage Environment Variable Usage apps.read
GET /api/teams/{team}/projects/{project}/variables List Project Variables apps.read
POST /api/teams/{team}/projects/{project}/variables Set Project Variables apps.manage yes
PUT /api/teams/{team}/projects/{project}/variables/{name} Set Project Variable apps.manage yes
DELETE /api/teams/{team}/projects/{project}/variables/{name} Delete Project Variable apps.manage yes
GET /api/teams/{team}/projects/{project}/variables/{name}/usage Project Variable Usage apps.read
GET /api/teams/{team}/variables List Team Variables apps.read
POST /api/teams/{team}/variables Set Team Variables apps.manage yes
PUT /api/teams/{team}/variables/{name} Set Team Variable apps.manage yes
DELETE /api/teams/{team}/variables/{name} Delete Team Variable apps.manage yes
GET /api/teams/{team}/variables/{name}/usage Team Variable Usage apps.read
GET /api/variables/server List Server Variables settings.read
POST /api/variables/server Set Server Variables settings.manage yes
PUT /api/variables/server/{name} Set Server Variable settings.manage yes
DELETE /api/variables/server/{name} Delete Server Variable settings.manage yes
GET /api/variables/server/{name}/usage Server Variable Usage settings.read

Something on this page is wrong or unclear? Report it on GitHub.

Help, contributing and the project’s policies are under Project.

Search the documentation

Type to search every page.

↑ ↓ to move, Enter to open, Esc to close